Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.tree2
Interface TreeNode

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  TreeNodeBase

public interface TreeNode
extends java.io.Serializable

Defines the requirements for an object that can be used as a tree node for use in a `UITreeData` component. (inspired by javax.swing.tree.TreeNode).

Version:
  $Revision: 201538 $ $Date: 2005-06-23 21:51:06 -0400 (Thu, 23 Jun 2005) $
Author:
  Sean Schofield

Method Summary
`int` | `getChildCount()` Gets the number of children this node has.
`java.util.List` | `getChildren()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getIdentifier()` Gets the identifier asociated with the `TreeNode`.
`java.lang.String` | `getType()` Gets the type of `TreeNode`.
`boolean` | `isLeaf()`
`void` | `setDescription(java.lang.String description)`
`void` | `setIdentifier(java.lang.String identifier)` Sets the identifier associated with the `TreeNode`.
`void` | `setLeaf(boolean leaf)`
`void` | `setType(java.lang.String type)` Sets the type of `TreeNode`.

Method Detail

### isLeaf

    public boolean isLeaf()

### setLeaf

    public void setLeaf(boolean leaf)

### getChildren

    public java.util.List getChildren()

### getType

    public java.lang.String getType()

  Gets the type of `TreeNode`.

  Returns:
    The node type

### setType

    public void setType(java.lang.String type)

  Sets the type of `TreeNode`.

  Parameters:
    `type` - The node type

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### setIdentifier

    public void setIdentifier(java.lang.String identifier)

  Sets the identifier associated with the `TreeNode`.

  Parameters:
    `identifier` - The identifier

### getIdentifier

    public java.lang.String getIdentifier()

  Gets the identifier asociated with the `TreeNode`.

  Returns:
    the identifier

### getChildCount

    public int getChildCount()

  Gets the number of children this node has.

  Returns:
    the number of children

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD